create table if not exists dashboard (
    id serial not null unique primary key ,
    "uuid" uuid not null unique default gen_random_uuid() ,
    package integer[] default '{}'::integer[]
);

create table if not exists comment (
    id serial not null unique primary key ,
    "text" text ,
    package integer not null,
    created timestamp not null default current_timestamp ,
    updated timestamp default current_timestamp
);

create table if not exists module (
    id serial not null unique primary key ,
    name varchar not null ,
    version varchar not null
);

create table if not exists issue (
    id serial not null unique primary key ,
    --package integer references package(id) ,
    modules integer[] default '{}'::integer[],
    status integer default 0 ,
    "desc" varchar
);

create table if not exists package (
    id serial not null unique primary key ,
    name varchar not null ,
    url varchar ,
    modules integer[] default '{}'::integer[],
    issues integer[] default '{}'::integer[],
    comments integer[] default '{}'::integer[]
);

create unique index module_info on module(name, version);

